Retrieve EOR Contract Details

Returns the basic information for an EOR contract, along with employment costs associated to it Token scopes: contracts:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier for the Deel contract

Response

Successful response
idstring
The unique identifier for the Deel contract.
namestring
Contract name
teamobject
salarystring
Annual salary as a string to preserve decimal precision.
statusenum
The current status of the contract.
creatorobject
currencystring
The currency used in the contract.
employeeobject
Employee details
end_datestring or nullformat: "date-time"
The end date of the contract, if applicable.
timezonestring
The timezone of the contract.
seniorityobject
sick_daysobject
Allowed sick days range.
work_visaboolean
Indicates if a work visa is required.
created_atstringformat: "date-time"
The date and time when the contract was created.
start_datestringformat: "date-time"
The start date of the contract.
updated_atstringformat: "date-time"
The date and time when the contract was last updated.
descriptionstring
Contract description
signed_datestring or nullformat: "date-time"
The date and time when the contract was signed by both parties.
cancelled_atstring or nullformat: "date-time"
The date and time when the contract was cancelled.
completed_atstring or nullformat: "date-time"
The date and time when the contract was completed.
payroll_typeenum
Payroll frequency for the contract
Allowed values:
can_adjust_onobject or null
Time frame when adjustments can be made.
contract_typeenum
The type of contract.
Allowed values:
scope_of_workstring
Description of job scope and responsibilities.
signing_bonusstring or null

One-time bonus paid at contract sign.

time_off_typeenum
Type of time off policy.
Allowed values:
deposit_monthsstring or null
Number of deposit months required.
effective_datestringformat: "date-time"
The date and time when the contract is effective.
job_title_namestring or null
The contract's job title.
completion_datestring or nullformat: "date-time"
The completion date of the contract.
employment_typeenum
The type of employment.
Allowed values:
client_signaturestring or null
The signature of the client.
client_signed_atstring or nullformat: "date-time"
The date and time when the client signed the contract.
employment_costsobject or null
Detailed breakdown of employment costs including summary totals, sectioned cost groups, and additional context notes.
employment_statestring or null
The state of the employment.
hiring_objectiveobject or null
Information about the hiring objective.
probation_periodinteger
Number of days in the probation period.
employee_signed_atstring or nullformat: "date-time"
Date and time when the employee signed.
employment_countrystring
Two letter country code of the employment country.
notice_period_typeenum or null
Type of notice period if applicable.
Allowed values:
original_start_datestringformat: "date-time"
The originally planned start date.
work_hours_per_weekstring
Number of work hours per week.
contractor_signaturestring or null
The signature of the EOR entity representative.
contractor_signed_atstring or nullformat: "date-time"
The date and time when the contractor signed the contract.
effective_plain_datestringformat: "date"
The effective date in plain format.
fixed_adjustment_idslist of strings or null
List of fixed adjustment ids.
invited_client_emailstring or null
The email address of the invited client.
last_quote_rejectionobject or null
Timestamp of last quote rejection.
completion_plain_datestring or nullformat: "date"
The completion date of the contract in plain contract.
is_onboarding_on_holdboolean
Whether onboarding is currently on hold or not.
monthly_employer_coststring
Monthly cost to the employer.
employee_late_sign_startstring or nullformat: "date-time"
Date when employee signed late, if applicable.
is_early_invoice_enabledboolean
Whether early invoicing is enabled or not.
onboarding_step_durationinteger or null
Duration of onboarding steps in days.
variable_compensation_idslist of strings
List of variable compensation IDs.
can_remind_employee_to_signboolean
Whether reminders to sign the employee resignation can be sent to the employee or not.
initial_effective_plain_datestringformat: "date"
The initial effective date in plain format.
is_foreign_currency_contractboolean
Whether the contract uses foreign currency or not.
is_employee_onboarding_delayedboolean
Determines if the invite for employee onboarding should be dispatch manually.
monthly_eor_management_fee_usdstring
Monthly EOR management fee in USD.
work_schedule_assignment_settingsenum
Work schedule assignment setting.
Allowed values:
probation_period_type_for_definiteenum or null
Probation period type for definite contracts.
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error